package response

import (
	"eta/eta_api/models/data_manage"
	"eta/eta_api/models/data_manage/excel"
)

// FindExcelInfoResp 根据名称获取excel的信息
type FindExcelInfoResp struct {
	IsFind    bool                         `description:"是否存在同名文件"`
	ExcelInfo *data_manage.MyExcelInfoList `description:"图表详情"`
	SheetList []*excel.SheetItem           `description:"sheet列表"`
}

// AddExcelInfoResp 添加excel表格的返回
type AddExcelInfoResp struct {
	ExcelInfoId int    `description:"表格id"`
	UniqueCode  string `description:"表格唯一编码"`
}
